Bug 58742 - partition table sdg not readable, after using fdisk during install process,
partition table sdg not readable, after using fdisk during install process,
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 17:22 EST by john.goshdigian
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 22:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.goshdigian 2002-01-23 17:22:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.61 [en] (X11; U; Linux 2.2.12-20smp i686)

Description of problem:
During installation,  use fdisk to partition drive sdg, as follows:
start    end  type
 2  - 27    ext2
27 - 91	  swap
91 - 1023 ext2
then w - write out the table, then q - finished with fdisk,
The following Error message is displayed:
The partition table on device sdg was unreadable. To create a new partition
it must be initialized,  casuing the loss of all  DATA on this drive.
Click Yes, and let it continue. Result is one  partition of  Free space 1-1023.

The bug is : what did fdisk do, and why can't the install process read whatever
it did to the partition table?

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. boot cd1 for install
2. select custom
3. select fdisk, selected sdg 
4. delete any previous partitions,
5. add new partitions with layout: 2->27 ext2; 27->91 swap; 91-1023 ext2
6. write partition table, quit
Result: install can not read partition table that fdisk just created

Expected Results:  install to be able to use the partition table that was just
created with fdisk.

Additional info:

this was attempted on an ES40 with 7 disk drives.
The other drives had older Linux releases and Tru64 Operation System
Comment 1 harry.heinisch 2002-01-24 14:53:52 EST
Disk druid also fails to  read a fresh disk label - on a ds10l, using fdisk to 
partition the disk (/boot, swap, /) without toggling a file system type, write 
the label and then continue the install - disk druid shows that the disk as 
free space. (no partitions) Go back to fdisk and toggle the files systems to 
ext2, swap and ext2  - then disk druid shows the partitions (although as  
foreign)

Phil.sullivan@compaq.com
Comment 2 Alexandre Petit-Bianco 2002-02-25 22:30:28 EST
> then disk druid shows the partitions (although as  
> foreign)

I tried to debug this and could see parted reading zeroes where magic
numbers were expected. It could be a problem with fdisk, among other
things (See 60004.)


Comment 3 Phil Copeland 2002-04-25 03:01:14 EDT
I think this one is fixed
But it works for *me*
Can someone recheck this with one of the more current ISO sets please?

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.